//
//  LoadingButton.m
//  加载控件
//
//  Created by 邱沐泽 on 16/6/21.
//  Copyright © 2016年 邱沐泽. All rights reserved.
//

#import "LoadingButton.h"

@implementation LoadingButton

+ (instancetype)initWithNib {
    LoadingButton *loadingButton = [[NSBundle mainBundle] loadNibNamed:NSStringFromClass(self) owner:nil options:nil].firstObject;
    loadingButton.layer.borderWidth = 1.0f;
    loadingButton.layer.borderColor = [[UIColor grayColor] CGColor];
    loadingButton.aActivityIndicator.hidden = YES;
    return loadingButton;
}


- (IBAction)loadingMore:(UIControl *)sender {
    sender.enabled = NO;
    _aActivityIndicator.hidden = NO;
    [self.aActivityIndicator startAnimating];
    self.activityIndicatorLabel.text = @"加载中...";
    
    [self performSelector:@selector(performBlock) withObject:nil afterDelay:0.3f];
}

- (void)performBlock {
    if (_loadingButtonBlock) {
        _loadingButtonBlock();
    }
}

- (void)loadingNot {
    if (self.aActivityIndicator.isAnimating) {
        [self.aActivityIndicator stopAnimating];
    }
    if (!self.aActivityIndicator.hidden) {
        self.aActivityIndicator.hidden = YES;
    }
    self.activityIndicatorLabel.text = @"加载内容";
    if (!self.controlView.enabled) {
        self.controlView.enabled = YES;
    }
}

- (void)setBackgroundColor:(UIColor *)backgroundColor {
    _backgroundColor = backgroundColor;
    self.controlView.backgroundColor = _backgroundColor;
}

- (void)setAActivityIndicator:(UIActivityIndicatorView *)aActivityIndicator {
    _aActivityIndicator = aActivityIndicator;
}

- (void)setTextColor:(UIColor *)textColor {
    _textColor = textColor;
    self.activityIndicatorLabel.textColor = _textColor;
}




@end
